Loading...
Searching...
No Matches
WGPURequestAdapterOptions Struct Reference

`#include <mini_webgpu.h>`

## Public Attributes

WGPUChainedStruct const * | nextInChain
WGPU_NULLABLE WGPUSurface | compatibleSurface
WGPUPowerPreference | powerPreference
WGPUBackendType | backendType
WGPUBool | forceFallbackAdapter
WGPUBool | compatibilityMode

## Detailed Description

Definition at line 1427 of file mini_webgpu.h.

## Member Data Documentation

## nextInChain

WGPUChainedStruct const* WGPURequestAdapterOptions::nextInChain

Definition at line 1428 of file mini_webgpu.h.

## compatibleSurface

WGPU_NULLABLE WGPUSurface WGPURequestAdapterOptions::compatibleSurface

Definition at line 1429 of file mini_webgpu.h.

## powerPreference

WGPUPowerPreference WGPURequestAdapterOptions::powerPreference

Definition at line 1430 of file mini_webgpu.h.

## backendType

WGPUBackendType WGPURequestAdapterOptions::backendType

Definition at line 1431 of file mini_webgpu.h.

## forceFallbackAdapter

WGPUBool WGPURequestAdapterOptions::forceFallbackAdapter

Definition at line 1432 of file mini_webgpu.h.

## compatibilityMode

WGPUBool WGPURequestAdapterOptions::compatibilityMode

Definition at line 1433 of file mini_webgpu.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_webgpu.h